import { type Ref } from 'vue-demi';
import { type MaybeComputedRef } from '@vueuse/shared';
import { Control, type ControlOptions, type Map } from 'leaflet';
export interface UseLeafletControlOptions extends ControlOptions {
    disabled?: MaybeComputedRef<boolean>;
    factory?: (...args: unknown[]) => Control;
    dispose?: boolean;
    onAdd?: (map: Map, control: Control) => HTMLElement;
    onRemove?: (map: Map, control: Control) => void;
    onDisable?: (map: Map, control: Control) => void;
    onEnable?: (map: Map, control: Control) => void;
}
export type UseLeafletControlReturn = Ref<Control | null>;
export declare function useLeafletControl(options?: UseLeafletControlOptions): UseLeafletControlReturn;
