import type { Arrayable, MaybeComputedRef } from '@vueuse/shared';
import type { Layer } from 'leaflet';
import { type UseLeafletDisplayObjectOptions, type UseLeafletDisplayObjectReturn, type UseLeafletDisplayObjectReturnWithControls } from '../useLeafletDisplayObject';
export type UseLeafletDisplayLayerOptions<Controls extends boolean> = Omit<UseLeafletDisplayObjectOptions<Controls, LeafletDisplayLayer, Layer>, 'show' | 'hide' | 'shown'>;
export interface LeafletDisplayLayer {
    addLayer(layer: Layer): this;
    removeLayer(layer: Layer): this;
    hasLayer(layer: Layer): boolean;
}
export type UseLeafletDisplayLayerReturn = UseLeafletDisplayObjectReturn;
export type UseLeafletDisplayLayerReturnWithControls = UseLeafletDisplayObjectReturnWithControls;
export declare function useLeafletDisplayLayer(source: MaybeComputedRef<LeafletDisplayLayer | null | undefined>, target: MaybeComputedRef<Arrayable<Layer> | null | undefined>, options?: UseLeafletDisplayLayerOptions<false>): UseLeafletDisplayLayerReturn;
export declare function useLeafletDisplayLayer(source: MaybeComputedRef<LeafletDisplayLayer | null | undefined>, target: MaybeComputedRef<Arrayable<Layer> | null | undefined>, options: UseLeafletDisplayLayerOptions<true>): UseLeafletDisplayLayerReturnWithControls;
