import { type MaybeComputedRef } from '@vueuse/shared';
import type { Fn } from '@vueuse/core';
import { type UseLeafletToggleObjectOptions, type UseLeafletToggleObjectReturn, type UseLeafletToggleObjectReturnWithControls } from '../useLeafletToggleObject';
export interface UseLeafletDisplayObjectOptions<Controls extends boolean, S, T> extends Omit<UseLeafletToggleObjectOptions<Controls, S, T>, 'onToggle'> {
    show?: (source: S, target: T) => void;
    hide?: (source: S, target: T) => void;
    shown?: (source: S, target: T) => boolean;
}
export type UseLeafletDisplayObjectReturn = UseLeafletToggleObjectReturn;
export interface UseLeafletDisplayObjectReturnWithControls extends UseLeafletToggleObjectReturnWithControls {
    show: Fn;
    hide: Fn;
    shown: () => boolean;
}
export declare function useLeafletDisplayObject<S, T>(source: MaybeComputedRef<S | null | undefined>, target: MaybeComputedRef<T | null | undefined>, options?: UseLeafletDisplayObjectOptions<false, S, T>): UseLeafletDisplayObjectReturn;
export declare function useLeafletDisplayObject<S, T>(source: MaybeComputedRef<S | null | undefined>, target: MaybeComputedRef<T | null | undefined>, options: UseLeafletDisplayObjectOptions<true, S, T>): UseLeafletDisplayObjectReturnWithControls;
