import { type Ref } from 'vue-demi';
import type { Layer } from 'leaflet';
export interface UseLeafletLayerOptions<T> {
    create?: () => T | null;
    update?: (instance: T) => T | null | undefined;
    destroy?: (instance: T) => void;
    dispose?: boolean;
}
export type UseLeafletLayerReturn<T> = Ref<T | null>;
export declare function useLeafletLayer<T extends Layer = Layer>(options?: UseLeafletLayerOptions<T>): UseLeafletLayerReturn<T>;
