import { type MaybeComputedRef } from '@vueuse/shared';
import type { Layer } from 'leaflet';
import type { LayerEntry, LayersItemConfig } from './types';
export interface UseBaseLayersOptions {
    current?: MaybeComputedRef<string | number | null | undefined>;
    changed?: (layers: LayerEntry[]) => void;
    add?: (layer: LayerEntry) => void;
    remove?: (layer: LayerEntry) => void;
    nameTemplate?: (index: number, layer: Layer) => string;
}
export declare function useBaseLayers(layers: MaybeComputedRef<LayersItemConfig[] | null | undefined>, options?: UseBaseLayersOptions): {
    layers: import("vue-demi").ComputedRef<{
        name: string;
        layer: Layer;
        overlay: boolean;
    }[]>;
    currentLayer: import("vue-demi").ComputedRef<LayerEntry | null>;
};
