import { type MaybeComputedRef, type MaybeRef } from '@vueuse/shared';
import { type Ref } from 'vue-demi';
import { Control } from 'leaflet';
import type { LayersItemConfig } from './types';
export interface UseLeafletLayersControlOptions extends Control.LayersOptions {
    currentBaseLayer?: MaybeRef<string | number | null | undefined>;
    currentOverlays?: MaybeRef<string[] | number[] | null | undefined>;
    indexes?: boolean;
    factory?: (...args: unknown[]) => Control.Layers;
    dispose?: boolean;
}
export type UseLeafletLayersControlReturn = Ref<Control.Layers | null>;
export type { LayersItemConfig };
export declare function useLeafletLayersControl(layers: MaybeComputedRef<LayersItemConfig[] | null | undefined>, options?: UseLeafletLayersControlOptions): UseLeafletLayersControlReturn;
