import { type MaybeComputedRef } from '@vueuse/shared';
import type { Layer } from 'leaflet';
import type { LayerEntry, LayersItemConfig } from './types';
export interface UseOverlayLayersOptions {
    current?: MaybeComputedRef<string[] | number[] | null | undefined>;
    changed?: (layers: LayerEntry[]) => void;
    add?: (layer: LayerEntry) => void;
    remove?: (layer: LayerEntry) => void;
    nameTemplate?: (index: number, layer: Layer) => string;
}
export declare function useOverlayLayers(layers: MaybeComputedRef<LayersItemConfig[] | null | undefined>, options?: UseOverlayLayersOptions): {
    layers: import("vue-demi").ComputedRef<{
        name: string;
        layer: Layer;
        overlay: boolean;
    }[]>;
    currentLayers: import("vue-demi").ComputedRef<LayerEntry[]>;
};
