import { type Ref } from 'vue-demi';
import { type MaybeComputedElementRef } from '@vueuse/core';
import { type MaybeComputedRef } from '@vueuse/shared';
import { Map, type MapOptions, type LatLngExpression, type LatLngBoundsExpression, type LatLng, type LatLngBounds, type LeafletEvent } from 'leaflet';
export interface UseLeafletMapOptions extends Omit<MapOptions, 'center' | 'zoom'> {
    center?: MaybeComputedRef<LatLngExpression | undefined>;
    zoom?: MaybeComputedRef<number | undefined>;
    bounds?: MaybeComputedRef<LatLngBoundsExpression | undefined>;
    useFly?: MaybeComputedRef<boolean | undefined>;
    factory?: (...args: unknown[]) => Map;
    dispose?: boolean;
    onViewChanged?: ViewChangedCallback;
}
export type UseLeafletMapReturn = Ref<Map | null>;
export interface ViewChangedEvent extends LeafletEvent {
    center: LatLng;
    zoom: number;
    bounds: LatLngBounds;
}
export type ViewChangedCallback = (event: ViewChangedEvent) => void;
export declare function useLeafletMap(element: MaybeComputedElementRef, options?: UseLeafletMapOptions): UseLeafletMapReturn;
