import { type Ref } from 'vue-demi';
import { type MaybeRef, type MaybeComputedRef } from '@vueuse/shared';
export interface UseLeafletToggleObjectOptions<Controls extends boolean, S, T> {
    initialValue?: MaybeRef<boolean>;
    controls?: Controls;
    flushSync?: boolean;
    dispose?: boolean;
    onToggle?: (source: S, target: T, value: boolean) => void;
}
export type UseLeafletToggleObjectReturn = (value?: boolean) => boolean;
export interface UseLeafletToggleObjectReturnWithControls {
    toggle: (value?: boolean) => boolean;
    value: Ref<boolean>;
}
export declare function useLeafletToggleObject<S, T>(source: MaybeComputedRef<S | null | undefined>, target: MaybeComputedRef<T | null | undefined>, options?: UseLeafletToggleObjectOptions<false, S, T>): UseLeafletToggleObjectReturn;
export declare function useLeafletToggleObject<S, T>(source: MaybeComputedRef<S | null | undefined>, target: MaybeComputedRef<T | null | undefined>, options: UseLeafletToggleObjectOptions<true, S, T>): UseLeafletToggleObjectReturnWithControls;
